API
Mark all unread notifications as read
PATCH
/notifications/read-all
const url = 'https://mw.omazy.ai/api/v1/notifications/read-all';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"before":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://mw.omazy.ai/api/v1/notifications/read-all \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "before": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Optional cutoff
Media typeapplication/json
object
before
string
Examplegenerated
{ "before": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
data
object
marked_read
integer
Examplegenerated
{ "data": { "marked_read": 1 }, "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}Unauthorized
Media typeapplication/json
object
data
error
object
code
string
message
string
meta
object
next_cursor
string
page
integer
per_page
integer
total
integer
success
boolean
error
object
code
string
message
string
Examplegenerated
{ "data": "example", "error": { "code": "example", "message": "example" }, "meta": { "next_cursor": "example", "page": 1, "per_page": 1, "total": 1 }, "success": true}